org.activiti.engine.cfg

## Class MailServerInfo

- java.lang.Object
- - org.activiti.engine.cfg.MailServerInfo

-     public class MailServerInfo
      extends Object

  Author:
    Tom Baeyens

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `mailServerDefaultFrom`
    `protected String` | `mailServerHost`
    `protected String` | `mailServerPassword`
    `protected int` | `mailServerPort`
    `protected String` | `mailServerUsername`
    `protected boolean` | `mailServerUseSSL`
    `protected boolean` | `mailServerUseTLS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailServerInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMailServerDefaultFrom()`
    `String` | `getMailServerHost()`
    `String` | `getMailServerPassword()`
    `int` | `getMailServerPort()`
    `String` | `getMailServerUsername()`
    `boolean` | `isMailServerUseSSL()`
    `boolean` | `isMailServerUseTLS()`
    `void` | `setMailServerDefaultFrom(String mailServerDefaultFrom)`
    `void` | `setMailServerHost(String mailServerHost)`
    `void` | `setMailServerPassword(String mailServerPassword)`
    `void` | `setMailServerPort(int mailServerPort)`
    `void` | `setMailServerUsername(String mailServerUsername)`
    `void` | `setMailServerUseSSL(boolean mailServerUseSSL)`
    `void` | `setMailServerUseTLS(boolean mailServerUseTLS)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mailServerDefaultFrom

          protected String mailServerDefaultFrom

    - #### mailServerHost

          protected String mailServerHost

    - #### mailServerPort

          protected int mailServerPort

    - #### mailServerUsername

          protected String mailServerUsername

    - #### mailServerPassword

          protected String mailServerPassword

    - #### mailServerUseSSL

          protected boolean mailServerUseSSL

    - #### mailServerUseTLS

          protected boolean mailServerUseTLS

  - ### Constructor Detail

    - #### MailServerInfo

          public MailServerInfo()

  - ### Method Detail

    - #### getMailServerDefaultFrom

          public String getMailServerDefaultFrom()

    - #### setMailServerDefaultFrom

          public void setMailServerDefaultFrom(String mailServerDefaultFrom)

    - #### getMailServerHost

          public String getMailServerHost()

    - #### setMailServerHost

          public void setMailServerHost(String mailServerHost)

    - #### getMailServerPort

          public int getMailServerPort()

    - #### setMailServerPort

          public void setMailServerPort(int mailServerPort)

    - #### getMailServerUsername

          public String getMailServerUsername()

    - #### setMailServerUsername

          public void setMailServerUsername(String mailServerUsername)

    - #### getMailServerPassword

          public String getMailServerPassword()

    - #### setMailServerPassword

          public void setMailServerPassword(String mailServerPassword)

    - #### isMailServerUseSSL

          public boolean isMailServerUseSSL()

    - #### setMailServerUseSSL

          public void setMailServerUseSSL(boolean mailServerUseSSL)

    - #### isMailServerUseTLS

          public boolean isMailServerUseTLS()

    - #### setMailServerUseTLS

          public void setMailServerUseTLS(boolean mailServerUseTLS)

Copyright © 2016 Alfresco. All rights reserved.